XHC_HB04_UTIL(9)

NAME

xhc_hb04_util - xhc-hb04 convenience utility

SYNOPSIS

loadrt xhc_hb04_util [count=N|names=name1[,name2...]]

DESCRIPTION

Provides logic for a start/pause button and an interface to halui.program.is_paused, is_idle, is_running to generate outputs for halui.program.pause, resume, run.

Includes 4 simple lowpass filters with coef and scale pins. The coef value should be 0 <= coef <=1, smaller coef values slow response. See the lowpass manpage for calculating the filter time constant ($ man lowpass).

FUNCTIONS

xhc-hb04-util.N (requires a floating-point thread)

PINS

xhc-hb04-util.N.start-or-pause bit in

xhc-hb04-util.N.is-paused bit in

xhc-hb04-util.N.is-idle bit in

xhc-hb04-util.N.is-running bit in

xhc-hb04-util.N.pause bit out

xhc-hb04-util.N.resume bit out

xhc-hb04-util.N.run bit out

xhc-hb04-util.N.in0 s32 in

xhc-hb04-util.N.in1 s32 in

xhc-hb04-util.N.in2 s32 in

xhc-hb04-util.N.in3 s32 in

xhc-hb04-util.N.out0 s32 out

xhc-hb04-util.N.out1 s32 out

xhc-hb04-util.N.out2 s32 out

xhc-hb04-util.N.out3 s32 out

xhc-hb04-util.N.scale0 float in (default: 1.0)

xhc-hb04-util.N.scale1 float in (default: 1.0)

xhc-hb04-util.N.scale2 float in (default: 1.0)

xhc-hb04-util.N.scale3 float in (default: 1.0)

xhc-hb04-util.N.coef0 float in (default: 1.0)

xhc-hb04-util.N.coef1 float in (default: 1.0)

xhc-hb04-util.N.coef2 float in (default: 1.0)

xhc-hb04-util.N.coef3 float in (default: 1.0)

xhc-hb04-util.N.divide-by-k-in float in

xhc-hb04-util.N.divide-by-k-out float out

xhc-hb04-util.N.k float in (default: 1.0)

AUTHOR

Dewey Garrett

LICENSE

GPL